Bug 1478461 - Review Request: PyDrive - A wrapper library of google-api-python-client that simplifies many common Google Drive API tasks
Review Request: PyDrive - A wrapper library of google-api-python-client that ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 11:31 EDT by Nick Bebout
Modified: 2017-08-26 15:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-26 15:53:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lee: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nick Bebout 2017-08-04 11:31:31 EDT
Spec URL: https://nb.fedorapeople.org/PyDrive.spec
SRPM URL: https://nb.fedorapeople.org/PyDrive-1.3.1-1.fc26.src.rpm
Description: A wrapper library of google-api-python-client that simplifies many common Google Drive API tasks
Fedora Account System Username: nb
Comment 1 lee 2017-08-04 12:41:05 EDT
Approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[-]: License file installed when any subpackage combination is installed.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-PyDrive , python3-PyDrive
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-PyDrive-1.3.1-1.fc27.noarch.rpm
          python3-PyDrive-1.3.1-1.fc27.noarch.rpm
          PyDrive-1.3.1-1.fc27.src.rpm
python2-PyDrive.noarch: W: spelling-error Summary(en_US) api -> API, pi, ape
python2-PyDrive.noarch: E: summary-too-long C A wrapper library of google-api-python-client that simplifies many common Google Drive API tasks
python2-PyDrive.noarch: W: no-documentation
python3-PyDrive.noarch: W: spelling-error Summary(en_US) api -> API, pi, ape
python3-PyDrive.noarch: E: summary-too-long C A wrapper library of google-api-python-client that simplifies many common Google Drive API tasks
python3-PyDrive.noarch: W: no-documentation
PyDrive.src: W: spelling-error Summary(en_US) api -> API, pi, ape
PyDrive.src: E: summary-too-long C A wrapper library of google-api-python-client that simplifies many common Google Drive API tasks
3 packages and 0 specfiles checked; 3 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
python3-PyDrive.noarch: W: spelling-error Summary(en_US) api -> API, pi, ape
python3-PyDrive.noarch: E: summary-too-long C A wrapper library of google-api-python-client that simplifies many common Google Drive API tasks
python3-PyDrive.noarch: W: no-documentation
python2-PyDrive.noarch: W: spelling-error Summary(en_US) api -> API, pi, ape
python2-PyDrive.noarch: E: summary-too-long C A wrapper library of google-api-python-client that simplifies many common Google Drive API tasks
python2-PyDrive.noarch: W: no-documentation
2 packages and 0 specfiles checked; 2 errors, 4 warnings.



Requires
--------
python3-PyDrive (rpmlib, GLIBC filtered):
    PyYAML
    python(abi)
    python3-google-api-client
    python3-oauth2client

python2-PyDrive (rpmlib, GLIBC filtered):
    PyYAML
    python(abi)
    python2-google-api-client
    python2-oauth2client



Provides
--------
python3-PyDrive:
    python3-PyDrive
    python3.6dist(pydrive)
    python3dist(pydrive)

python2-PyDrive:
    python-PyDrive
    python2-PyDrive
    python2.7dist(pydrive)
    python2dist(pydrive)



Source checksums
----------------
https://pypi.python.org/packages/52/e0/0e64788e5dd58ce2d6934549676243dc69d982f198524be9b99e9c2a4fd5/PyDrive-1.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : 83890dcc2278081c6e3f6a8da1f8083e25de0bcc8eb7c91374908c5549a20787
  CHECKSUM(SHA256) upstream package : 83890dcc2278081c6e3f6a8da1f8083e25de0bcc8eb7c91374908c5549a20787


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1478461 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Ralph Bean 2017-08-09 15:00:52 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/PyDrive
Comment 3 Ralph Bean 2017-08-09 15:03:01 EDT
(fedrepo-req-admin):  Apologies for the delay!
Comment 4 Fedora Update System 2017-08-14 20:16:44 EDT
PyDrive-1.3.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8ebb30441c
Comment 5 Fedora Update System 2017-08-15 20:53:26 EDT
PyDrive-1.3.1-2.fc26, duplicity-0.7.13.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8ebb30441c
Comment 6 Fedora Update System 2017-08-26 15:53:16 EDT
PyDrive-1.3.1-2.fc26, duplicity-0.7.13.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.